Homeland ruby-china install 出错,求指点。

feitian124 · 2012年04月05日 · 最后由 feitian124 回复于 2012年04月06日 · 2311 次阅读

在 github 上 fork 了一份 ruby-china 代码学习,install 时出错: ~/ruby_workspace/ruby-china$ rake assets:precompile rake aborted! Could not find a JavaScript runtime. See https://github.com/sstephenson/execjs for a list of available runtimes. (See full trace by running task with --trace)

查阅 google 说是少 js 运行时环境,之前也碰到过,故添加: gem 'execjs'

重新 bundle install,错误依旧,不知道问题出在哪里了,求教。 谢谢先。

你需要安装 Nodejs.

@xds2000 哦,回去试试。我就是想知道是不是任意一个运行时都可以呢

在 Gemfile 里添加两行

gem 'execjs'
gem 'therubyracer'

再次执行。

@zhangjingqiang 谢谢,过了之前那个错误,不过还有很多错误。。 这个帖子有更多讨论,开个传送门给和我有类似需求的人: http://ruby-china.org/topics/57

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册